package domain


type AlibabaWdkItemCategoryUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemCategoryUpdateResult) SetSuccess(v bool) *AlibabaWdkItemCategoryUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemCategoryUpdateResult) SetErrorCode(v string) *AlibabaWdkItemCategoryUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemCategoryUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemCategoryUpdateResult {
    s.ErrorDesc = &v
    return s
}
